net.sf.jasperreports.components.table.fill

## Class BuiltinFillExpressionEvaluatorDecorator

- java.lang.Object
- - net.sf.jasperreports.components.table.fill.BuiltinFillExpressionEvaluatorDecorator

- All Implemented Interfaces:
    JRFillExpressionEvaluator

      public class BuiltinFillExpressionEvaluatorDecorator
      extends java.lang.Object
      implements JRFillExpressionEvaluator

  Version:
    $Id: BuiltinFillExpressionEvaluatorDecorator.java 6451 2013-08-30 11:20:08Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuiltinFillExpressionEvaluatorDecorator(JRFillExpressionEvaluator decorated, java.util.Map<JRExpression,BuiltinExpressionEvaluator> builtinEvaluators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(JRExpression expression, byte evaluationType)` Evaluates an expression.
    `JRFillDataset` | `getFillDataset()` Returns the dataset used by the expression evaluator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuiltinFillExpressionEvaluatorDecorator

          public BuiltinFillExpressionEvaluatorDecorator(JRFillExpressionEvaluator decorated,
                                                 java.util.Map<JRExpression,BuiltinExpressionEvaluator> builtinEvaluators)

  - ### Method Detail

    - #### evaluate

          public java.lang.Object evaluate(JRExpression expression,
                                  byte evaluationType)
                                    throws JRException

      Description copied from interface: `JRFillExpressionEvaluator`
      Evaluates an expression.
      Specified by:
        `evaluate` in interface `JRFillExpressionEvaluator`
      Parameters:
        `expression` - the expression to evaluate
        `evaluationType` - one of `JRExpression.EVALUATION_DEFAULT`, `JRExpression.EVALUATION_OLD`, `JRExpression.EVALUATION_ESTIMATED`
      Returns:
        the result
      Throws:
        `JRException`

    - #### getFillDataset

          public JRFillDataset getFillDataset()

      Description copied from interface: `JRFillExpressionEvaluator`
      Returns the dataset used by the expression evaluator.
      Specified by:
        `getFillDataset` in interface `JRFillExpressionEvaluator`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com